## tiemu 1.65

=== src/core/uae/Makefile ===
#
# Extra rules for building the emulation engine
#
#CPUFLAGS = -O3 -mpentium -fomit-frame-pointer -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes -DX86_ASSEMBLY -D__inline__=inline -DSTATFS_NO_ARGS=2 -DSTATBUF_BAVAIL=f_bavail

# trying to be portable... *TRYING*
CPUFLAGS = $(CFLAGS) -fomit-frame-pointer -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes -D__inline__=inline -DSTATFS_NO_ARGS=2 -DSTATBUF_BAVAIL=f_bavail #-Wall

gen: cpudefs.c cpustbl.c cputbl.h cpu0.c cpu1.c cpu2.c cpu3.c cpu4.c cpu5.c cpu6.c cpu7.c cpu8.c cpu9.c cpuA.c cpuB.c cpuC.c cpuD.c cpuE.c cpuF.c

all: cpudefs.c cpustbl.c cputbl.h cpu0.o cpu1.o cpu2.o cpu3.o cpu4.o cpu5.o cpu6.o cpu7.o cpu8.o cpu9.o cpuA.o cpuB.o cpuC.o cpuD.o cpuE.o cpuF.o
	mv cpu?.o ../

build68k: build68k.o
	@echo "-> Compiling 68k builder..."
	$(CC) $(LDFLAGS) -o $@ $?
gencpu: gencpu.o readcpu.o cpudefs.o
	@echo "-> Compiling CPU generator..."
	$(CC) $(LDFLAGS) -o $@ gencpu.o readcpu.o cpudefs.o
cpudefs.c: build68k table68k
	@echo "-> Building CPU definitions..."
	./build68k >cpudefs.c
cpustbl.c: gencpu
	@echo "-> Generating CPU table (cpustbl.c)..."
	./gencpu s >cpustbl.c
cputbl.c: gencpu
	@echo "-> Generating CPU table (cputbl.c)..."
	./gencpu t >cputbl.c
cputbl.h: gencpu
	@echo "-> Generating CPU table (cputbl.h)..."
	./gencpu h >cputbl.h
cpu0.c: gencpu
	@echo "-> Generating CPU table (0)..."
	./gencpu f 0 >cpu0.c
cpu1.c: gencpu
	@echo "-> Generating CPU table (1)..."
	./gencpu f 1 >cpu1.c
cpu2.c: gencpu
	@echo "-> Generating CPU table (2)..."
	./gencpu f 2 >cpu2.c
cpu3.c: gencpu
	@echo "-> Generating CPU table (3)..."
	./gencpu f 3 >cpu3.c
cpu4.c: gencpu
	@echo "-> Generating CPU table (4)..."
	./gencpu f 4 >cpu4.c
cpu5.c: gencpu
	@echo "-> Generating CPU table (5)..."
	./gencpu f 5 >cpu5.c
cpu6.c: gencpu
	@echo "-> Generating CPU table (6)..."
	./gencpu f 6 >cpu6.c
cpu7.c: gencpu
	@echo "-> Generating CPU table (7)..."
	./gencpu f 7 >cpu7.c
cpu8.c: gencpu
	@echo "-> Generating CPU table (8)..."
	./gencpu f 8 >cpu8.c
cpu9.c: gencpu
	@echo "-> Generating CPU table (9)..."
	./gencpu f 9 >cpu9.c
cpuA.c: gencpu
	@echo "-> Generating CPU table (A)..."
	./gencpu f 10 >cpuA.c
cpuB.c: gencpu
	@echo "-> Generating CPU table (B)..."
	./gencpu f 11 >cpuB.c
cpuC.c: gencpu
	@echo "-> Generating CPU table (C)..."
	./gencpu f 12 >cpuC.c
cpuD.c: gencpu
	@echo "-> Generating CPU table (D)..."
	./gencpu f 13 >cpuD.c
cpuE.c: gencpu
	@echo "-> Generating CPU table (E)..."
	./gencpu f 14 >cpuE.c
cpuF.c: gencpu
	@echo "-> Generating CPU table (F)..."
	./gencpu f 15 >cpuF.c

cpu0.o: cpu0.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu1.o: cpu1.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu2.o: cpu2.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu3.o: cpu3.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu4.o: cpu4.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu5.o: cpu5.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu6.o: cpu6.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu7.o: cpu7.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu8.o: cpu8.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpu9.o: cpu9.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpuA.o: cpuA.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpuB.o: cpuB.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpuC.o: cpuC.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpuD.o: cpuD.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpuE.o: cpuE.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
cpuF.o: cpuF.c cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c

cpustbl.o: cputbl.h 
cputbl.o: cputbl.h 
 
build68k.o: readcpu.h 
readcpu.o:  readcpu.h 

clean:
	$(RM) build68k gencpu cpudefs.c cpustbl.c cputbl.? cpu?.? *.o

=== src/gui/gtk/pixmaps/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ..

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/tiemu
pkglibdir = $(libdir)/tiemu
pkgincludedir = $(includedir)/tiemu
top_builddir = ..

ACLOCAL = ${SHELL} /home/devel/tiemu_project/tiemu/missing --run aclocal
AUTOCONF = ${SHELL} /home/devel/tiemu_project/tiemu/missing --run autoconf
AUTOMAKE = ${SHELL} /home/devel/tiemu_project/tiemu/missing --run automake
AUTOHEADER = ${SHELL} /home/devel/tiemu_project/tiemu/missing --run autoheader
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = 
build_triplet = i686-pc-linux-gnu
host_alias = 
host_triplet = i686-pc-linux-gnu
target_alias = 
target_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /home/devel/tiemu_project/tiemu/missing --run tar
AS = @AS@
AWK = mawk
BUILD_INCLUDED_LIBINTL = no
CATALOGS =  fr.gmo de.gmo it.gmo es.gmo nl.gmo
CATOBJEXT = .gmo
CC = gcc
CFLAGS = -g -O2    -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -D__I386__ -D__LINUX__ -Wall -DDEBUGGER -DPENT_COUNTER
CXX = g++
CXXCPP = g++ -E
DATADIRNAME = share
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GENCAT = gencat
GLIBC21 = yes
GMOFILES =  fr.gmo de.gmo it.gmo es.gmo nl.gmo
GMSGFMT = /usr/bin/msgfmt
GTK_CONFIG = yes
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = :
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIBICONV = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = tiemu
PACKAGE_LOCALE_DIR = ${prefix}/share/locale
POFILES =  fr.po de.po it.po es.po nl.po
POSUB = po
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL -lpthread
STRIP = strip
TICABLES_CONFIG = yes
TICALCS_CONFIG = yes
TIFILES_CONFIG = yes
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.64
am__include = include
am__quote = 
install_sh = /home/devel/tiemu_project/tiemu/install-sh

SHELL = /bin/sh

INSTALL = /usr/bin/install -c
SHARE_DIR = $(prefix)/share/tiemu

PIXMAPS = *.xpm
EXTRA_DIST = $(PIXMAPS) logo.jpg
subdir = pixmaps
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  pixmaps/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
uninstall-info-am:
tags: TAGS
TAGS:


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile

installdirs:
install-exec: install-exec-am
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool uninstall uninstall-am uninstall-info-am


install: $(PIXMAPS)
	@echo Installing pixmaps and other images...
	@$(INSTALL) -m755 -d $(SHARE_DIR)
	@$(INSTALL) -m755 -d $(SHARE_DIR)/pixmaps
	@for I in ./*.xpm ; do \
	$(INSTALL) -m644 $$I $(SHARE_DIR)/pixmaps/; \
	done
	@for I in ./*.jpg ; do \
        $(INSTALL) -m644 $$I $(SHARE_DIR); \
        done
	@echo Done
	@$(INSTALL) -m644 ../COPYING $(SHARE_DIR)

uninstall:
	@echo Removing pixmaps...
	$(RM) $(SHARE_DIR)/pixmaps/*.xpm

clean: 
	$(RM) \#*
	$(RM) *~
	$(RM) core

dos2unix:
	dos2unix
	lowercase
	uppercase
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## tiemu 1.99+svn1148

=== src/core/uae/Makefile ===
#
# Extra rules for building the emulation engine
#
#CPUFLAGS = -O3 -mpentium -fomit-frame-pointer -Wall -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes -DX86_ASSEMBLY -D__inline__=inline -DSTATFS_NO_ARGS=2 -DSTATBUF_BAVAIL=f_bavail

# trying to be portable... *TRYING*
#CFLAGS   = -mms-bitfields
CPUFLAGS = $(CFLAGS) -fomit-frame-pointer -Wno-unused -Wno-format -W -Wmissing-prototypes -Wstrict-prototypes -D__inline__=inline -DSTATFS_NO_ARGS=2 -DSTATBUF_BAVAIL=f_bavail #-Wall

gen: cpudefs.c cpustbl.c cputbl.h cpuemu.c

all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o

# For cross-compiling (generators are run on host)
build68k_host.o: build68k.c
	gcc -c -o $@ $?
gencpu_host.o: gencpu.c
	gcc -c -o $@ $?
readcpu_host.o: readcpu.c
	gcc -c -o $@ $?
cpudefs_host.o: cpudefs.c
	gcc -c -o $@ $?
missing_host.o: missing.c
	gcc -c -o $@ $?

# Build generators and files to generate
build68k: build68k_host.o
	@echo "-> Compiling 68k builder..."
	gcc $(LDFLAGS) -o $@ $?

gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o
	@echo "-> Compiling CPU generator..."
	gcc $(LDFLAGS) -o $@ $?

cpudefs.c: build68k table68k
	@echo "-> Building CPU definitions..."
	./build68k <table68k >cpudefs.c

cpuemu.c: gencpu compiler.h
	@echo "-> Generating CPU tables..."
	./gencpu

# gencpu also creates cpustbl.c and cputbl.h
cpustbl.c: cpuemu.c compiler.h
cputbl.h: cpuemu.c

# CPU engine
cpuemu1.o: cpuemu.c
	$(CC) -DPART_1 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu2.o: cpuemu.c
	$(CC) -DPART_2 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu3.o: cpuemu.c
	$(CC) -DPART_3 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu4.o: cpuemu.c
	$(CC) -DPART_4 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu5.o: cpuemu.c
	$(CC) -DPART_5 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu6.o: cpuemu.c
	$(CC) -DPART_6 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu7.o: cpuemu.c
	$(CC) -DPART_7 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpuemu8.o: cpuemu.c
	$(CC) -DPART_8 $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@

# Misc
cpudefs.o: cpudefs.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
cpustbl.o: cputbl.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
readcpu.o: readcpu.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $*.c
fpp.o: fpp.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
missing.o: missing.c
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
newcpu.o: newcpu.c newcpu.h compiler.h
	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@

clean:
	$(RM) build68k gencpu *.o
	$(RM) build68k.exe gencpu.exe

distclean: clean
	$(RM) cpudefs.c cpustbl.c cputbl.? cpuemu.c cpuemu?.o

## tiemu 2.00

=== src/Makefile ===
## Process this file with autoconf to produce Makefile


CC        = gcc
CPP       = gcc -E
CXX       = g++
CFLAGS    = -g -O2 -D__I386__ -D__LINUX__ -fvisibility=hidden -DGTK_DISABLE_DEPRECATED -DDEBUGGER -I/usr/local/include/tilp   -I/usr/local/include/tilp   -I/usr/local/include/tilp   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LDFLAGS   =  -Wl,--export-dynamic -L/usr/local/lib -lticables   -L/usr/local/lib -ltifiles   -L/usr/local/lib -lticalcs -lticables -ltifiles   -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lz -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lz -lpthread -lm  $(extra_ldflags)
CXXFLAGS  = -g -O2 -D__I386__ -D__LINUX__ -fvisibility=hidden -DGTK_DISABLE_DEPRECATED -DDEBUGGER -fno-rtti -fno-exceptions -I/usr/local/include/tilp   -I/usr/local/include/tilp   -I/usr/local/include/tilp   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DXTHREADS -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
MOC       = 

kde       = no

DESTDIR   =

ifneq (,$(findstring __WIN32__,$(CFLAGS)))
	RESFILE=tiemu-rc.o 
	LDFLAGS += -lcomdlg32
else
	RESFILE = 
endif

ifneq (,$(findstring __LINUX__,$(CFLAGS)))
	LDFLAGS += -Wl,--export-dynamic
endif

INSTALL         = /usr/bin/install -c -p
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_DATA    = ${INSTALL} -m 644
prefix          = /usr/local
exec_prefix     = ${prefix}
bindir          = ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
sysconfdir      = ${prefix}/etc

.SUFFIXES: .o .c .cpp .h .m .i .S .rc .res

ifeq ($(kde), yes)
kdeincludes = 
kdelibraries =       
kde_OBJ = gui/kde.o gui/kde-private.o
kdeprivsources = gui/kde-private.cpp
gui/kde-private.cpp: gui/kde-private.h
	$(MOC) gui/kde-private.h -o gui/kde-private.cpp
endif

DEFS=-DHAVE_CONFIG_H \
	-DSHARE_DIR=\"${prefix}/share/tiemu\" \
	-DLOCALEDIR=\"${prefix}/share/locale\"
#	-DSHARE_DIR=\"$(pkgdatadir)\" \
#	-DLOCALEDIR=\"$(datadir)/locale\"

INCLUDES = \
	-I.. -I$(includedir) \
	-DPREFIX=\"${prefix}\" -I. \
	-I./core -I./core/uae -I./core/ti_hw -I./core/ti_sw -I./core/dbg \
	-I./misc \
	-I./gui -I./gui/calc -I./gui/debugger

# source files to build
core_uae_OBJ = \
	core/uae/cpuemu1.o core/uae/cpuemu2.o \
	core/uae/cpuemu3.o core/uae/cpuemu4.o \
	core/uae/cpuemu5.o core/uae/cpuemu6.o \
	core/uae/cpuemu7.o core/uae/cpuemu8.o \
	core/uae/cpudefs.o core/uae/cpustbl.o \
	core/uae/readcpu.o core/uae/fpp.o \
	core/uae/missing.o core/uae/xmalloc.o

core_tihw_OBJ = \
	core/ti_hw/dbus.o	\
	core/ti_hw/flash.o	\
	core/ti_hw/gscales.o	\
	core/ti_hw/hw.o 	\
	core/ti_hw/hwprot.o	\
	core/ti_hw/kbd.o 	\
	core/ti_hw/m68k.o	\
	core/ti_hw/mem.o 	\
	core/ti_hw/mem89.o	\
	core/ti_hw/mem89tm.o	\
	core/ti_hw/mem92.o	\
	core/ti_hw/mem92p.o	\
	core/ti_hw/memv2.o	\
	core/ti_hw/ports.o	\
	core/ti_hw/rtc_hw3.o

core_tisw_OBJ = \
	core/ti_sw/er_codes.o \
	core/ti_sw/handles.o	\
	core/ti_sw/iodefs.o	\
	core/ti_sw/registers.o	\
	core/ti_sw/romcalls.o	\
	core/ti_sw/timem.o	\
	core/ti_sw/vat.o

core_OBJ = 			\
	core/error.o 		\
	core/images.o 		\
	core/interface.o	\
	core/state.o		\
	core/type2str.o		\
	core/hwpm.o

core_dbg_OBJ = \
	core/dbg/bkpts.o	\
	core/dbg/debug.o	\
	core/dbg/disasm.o	\
	core/dbg/fpudasm.o	\
	core/dbg/m68kdasm.o

misc_OBJ = \
	misc/cmdline.o 	\
	misc/files.o 	\
	misc/paths.o 	\
	misc/printl.o	\
	misc/rcfile.o 	\
	misc/screenshot.o \
	misc/tie_error.o 

gui_calc_OBJ = \
	gui/calc/calc.o		\
	gui/calc/kbd_mapper.o	\
	gui/calc/keyboard.o	\
	gui/calc/keynames.o	\
	gui/calc/popup.o	\
	gui/calc/screen.o	\
	gui/calc/skinkeys.o	\
	gui/calc/skinops.o

gui_debugger_OBJ = \
	gui/debugger/dbg_all.o		\
	gui/debugger/dbg_bkpts.o	\
	gui/debugger/dbg_cause.o	\
	gui/debugger/dbg_code.o		\
	gui/debugger/dbg_data.o		\
	gui/debugger/dbg_entry.o	\
	gui/debugger/dbg_heap.o		\
	gui/debugger/dbg_iop.o		\
	gui/debugger/dbg_mem.o		\
	gui/debugger/dbg_pclog.o	\
	gui/debugger/dbg_regs.o		\
	gui/debugger/dbg_romcall.o	\
	gui/debugger/dbg_stack.o	\
	gui/debugger/dbg_vectors.o

gui_OBJ = \
	gui/about.o							\
	gui/comm.o							\
	gui/dboxes.o							\
	gui/engine.o							\
	gui/filesel.o							\
	gui/fs_misc.o							\
	gui/infos.o							\
	gui/main.o							\
	gui/manpage.o							\
	gui/pbars.o							\
	gui/refresh.o							\
	gui/release.o							\
	gui/romversion.o						\
	gui/scroptions.o						\
	gui/splash.o							\
	gui/support.o 							\
	gui/tsource.o 							\
	gui/wizard.o

tiemu_OBJ = core/uae/newcpu.o \
	$(core_uae_OBJ) $(core_OBJ) $(core_tihw_OBJ) $(core_tisw_OBJ) \
	$(core_dbg_OBJ) \
	$(misc_OBJ) \
	$(gui_OBJ) $(gui_calc_OBJ) $(gui_debugger_OBJ) $(kde_OBJ)

#rules:
all: uae tiemu

uae:
	cd core/uae && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" gen
	cd core/uae && $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" all

ifneq (,$(findstring __WIN32__,$(CFLAGS)))
tiemu: $(tiemu_OBJ) $(RESFILE)
else
tiemu: $(tiemu_OBJ)
endif
ifneq (,$(findstring __IPAQ__,$(CFLAGS)))
	$(CC) $(uae_OBJ) $(tiemu_OBJ) -o tiemu \
	$(LDFLAGS) $(CFLAGS) $(kdelibraries) \
	-Wl,--rpath,"$(prefix)/lib"
else
	../libtool --mode=link $(CC) $(uae_OBJ) $(tiemu_OBJ) $(RESFILE) \
	-o tiemu $(LDFLAGS) $(CFLAGS) $(kdelibraries)
endif

.c.o:
	$(CC) $(INCLUDES) $(DEFS) -c $(CFLAGS) $< -o $@
	#../libtool --mode=compile $(CC) $(INCLUDES) $(DEFS) \
	#-c $(CFLAGS) $< -o $@

.cpp.o:
	$(CXX) $(INCLUDES) $(DEFS) -c $(CXXFLAGS) $(kdeincludes) $< -o $@
	#../libtool --mode=compile $(CC) $(INCLUDES) $(DEFS) \
	#-c $(CFLAGS) $< -o $@

tiemu-rc.o: ../build/mingw/tiemu.rc
	cd ../build/mingw && windres tiemu.rc ../../src/tiemu-rc.o

clean:
	@cd core/uae && $(MAKE) clean
	@rm -f $(tiemu_OBJ) tiemu tiemu.exe tiemu-rc.o $(kdeprivsources)

distclean: clean
	@cd core/uae && $(MAKE) distclean
	@rm -Rf .libs

dos2unix:
	dos2unix
	lowercase
	uppercase

distdir: clean
	cp -rl * ../tiemu-2.00/src

install: tiemu
	@$(INSTALL) -d $(DESTDIR)$(prefix)/bin
	$(INSTALL) -m755 tiemu $(DESTDIR)${prefix}/bin/

uninstall:
	rm -f ${prefix}/bin/tiemu

=== src/core/uae/Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 gen: cpudefs.c cpustbl.c cputbl.h cpuemu.c
 
-all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
+# WARNING: Don't try to build newcpu.o here, because newcpu.c references TiEmu include files.
+all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o xmalloc.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
 
 # For cross-compiling (generators are run on host)
 build68k_host.o: build68k.c
@@ -22,26 +23,28 @@
 	gcc -c -o $@ $?
 missing_host.o: missing.c
 	gcc -c -o $@ $?
+xmalloc_host.o: xmalloc.c
+	gcc -c -o $@ $?
 
 # Build generators and files to generate
 build68k: build68k_host.o
 	@echo "-> Compiling 68k builder..."
 	gcc $(LDFLAGS) -o $@ $?
 
-gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o
+gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 	@echo "-> Compiling CPU generator..."
-	gcc $(LDFLAGS) -o $@ $?
+	gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 
 cpudefs.c: build68k table68k
 	@echo "-> Building CPU definitions..."
 	./build68k <table68k >cpudefs.c
 
-cpuemu.c: gencpu compiler.h
+cpuemu.c: gencpu
 	@echo "-> Generating CPU tables..."
 	./gencpu
 
 # gencpu also creates cpustbl.c and cputbl.h
-cpustbl.c: cpuemu.c compiler.h
+cpustbl.c: cpuemu.c
 cputbl.h: cpuemu.c
 
 # CPU engine
@@ -73,7 +76,9 @@
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
 missing.o: missing.c
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
-newcpu.o: newcpu.c newcpu.h compiler.h
+xmalloc.o: xmalloc.c
+	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
+newcpu.o: newcpu.c newcpu.h
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
 
 clean:

## tiemu 3.03

=== Makefile ===
RM=rm -f
MV=mv -f
CP=cp -f
MKDIR=mkdir -f
ZIP=zip -rq
VERSION=1.0.4

.PHONY: all clean

all: 
	cd src ; make
	cd sdk ; make
	cd libs ; make

distclean: clean

clean:
	cd src ; make clean
	cd sdk ; make clean
	cd libs ; make clean
	$(RM) *~ *.89z *.9xz *.v2z *.89Z *.9xZ *.V2Z

dist: all
	$(RM) -r preos-$(VERSION)
	mkdir preos-$(VERSION)
	$(CP) *.89z *.9xz *.v2z preos-$(VERSION)/
	$(CP) preos.txt ChangeLog.txt COPYING.LIB COPYING.txt preos-$(VERSION)/
	$(ZIP) preos-$(VERSION).zip preos-$(VERSION)
	$(RM) -r preos-$(VERSION)

=== src/gdb/Makefile ===
# Generated automatically from Makefile.in by configure.

# Makefile.in is generated from Makefile.tpl by 'autogen Makefile.def'.
#
# Makefile for directory with subdirs to build.
#   Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998,
#   1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

# -------------------------------
# Standard Autoconf-set variables
# -------------------------------

build_alias=x86_64-unknown-linux-gnu
build=x86_64-unknown-linux-gnu
host_alias=x86_64-unknown-linux-gnu
host=x86_64-unknown-linux-gnu
target_alias=m68k-coff
target=m68k-unknown-coff

program_transform_name = s,^,m68k-coff-,; 

prefix = /usr/local
exec_prefix = ${prefix}

srcdir = .

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
oldincludedir = /usr/include
infodir = ${prefix}/info
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc
htmldir = ${docdir}
mandir = ${prefix}/man
man1dir = $(mandir)/man1
man2dir = $(mandir)/man2
man3dir = $(mandir)/man3
man4dir = $(mandir)/man4
man5dir = $(mandir)/man5
man6dir = $(mandir)/man6
man7dir = $(mandir)/man7
man8dir = $(mandir)/man8
man9dir = $(mandir)/man9

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_DATA = ${INSTALL} -m 644
LN = ln
LN_S = ln -s

# -------------------------------------------------
# Miscellaneous non-standard autoconf-set variables
# -------------------------------------------------

# The gcc driver likes to know the arguments it was configured with.
TOPLEVEL_CONFIGURE_ARGUMENTS=./configure --prefix=/usr/local --without-kde --target=m68k-coff --disable-tui --disable-werror --cache-file=/dev/null --srcdir=.

tooldir = ${exec_prefix}/m68k-coff
build_tooldir = ${exec_prefix}/m68k-coff

GDB_NLM_DEPS = 

# This is the name of the environment variable used for the path to
# the libraries.
RPATH_ENVVAR = LD_LIBRARY_PATH

# Build programs are put under this directory.
BUILD_SUBDIR = build-x86_64-unknown-linux-gnu
# This is set by the configure script to the arguments to use when configuring
# directories built for the build system.
BUILD_CONFIGARGS = --cache-file=../config.cache --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --target=m68k-coff --prefix=/usr/local --without-kde --disable-tui --disable-werror --program-transform-name='s,^,m68k-coff-,; ' --with-build-subdir="$(BUILD_SUBDIR)"

# This is the list of variables to export in the environment when
# configuring any subdirectory.  It must also be exported whenever
# recursing into a build directory in case that directory's Makefile
# re-runs configure.
BASE_EXPORTS = \
	FLEX="$(FLEX)"; export FLEX; \
	LEX="$(LEX)"; export LEX; \
	BISON="$(BISON)"; export BISON; \
	YACC="$(YACC)"; export YACC; \
	M4="$(M4)"; export M4; \
	MAKEINFO="$(MAKEINFO)"; export MAKEINFO;

# This is the list of variables to export in the environment when
# configuring subdirectories for the build system.
BUILD_EXPORTS = \
	$(BASE_EXPORTS) \
	AR="$(AR_FOR_BUILD)"; export AR; \
	AS="$(AS_FOR_BUILD)"; export AS; \
	CC="$(CC_FOR_BUILD)"; export CC; \
	CFLAGS="$(CFLAGS_FOR_BUILD)"; export CFLAGS; \
	CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
	CXX="$(CXX_FOR_BUILD)"; export CXX; \
	CXXFLAGS="$(CXXFLAGS_FOR_BUILD)"; export CXXFLAGS; \
	GCJ="$(GCJ_FOR_BUILD)"; export GCJ; \
	GFORTRAN="$(GFORTRAN_FOR_BUILD)"; export GFORTRAN; \
	DLLTOOL="$(DLLTOOL_FOR_BUILD)"; export DLLTOOL; \
	LD="$(LD_FOR_BUILD)"; export LD; \
	LDFLAGS="$(LDFLAGS_FOR_BUILD)"; export LDFLAGS; \
	NM="$(NM_FOR_BUILD)"; export NM; \
	RANLIB="$(RANLIB_FOR_BUILD)"; export RANLIB; \
	WINDRES="$(WINDRES_FOR_BUILD)"; export WINDRES;

# This is the list of directories to built for the host system.
SUBDIRS =  intl libiberty opcodes bfd readline tcl tk itcl libgui sim gdb etc
# This is set by the configure script to the arguments to use when configuring
# directories built for the host system.
HOST_CONFIGARGS = --cache-file=./config.cache --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --target=m68k-coff  --prefix=/usr/local --without-kde --disable-tui --disable-werror --program-transform-name='s,^,m68k-coff-,; '
# Host programs are put under this directory, which is . except if building
# with srcdir=..
HOST_SUBDIR = .
# This is the list of variables to export in the environment when
# configuring subdirectories for the host system.  We need to pass
# some to the GCC configure because of its hybrid host/target nature.
HOST_EXPORTS = \
	$(BASE_EXPORTS) \
	CC="$(CC)"; export CC; \
	CFLAGS="$(CFLAGS)"; export CFLAGS; \
	CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
	CXX="$(CXX)"; export CXX; \
	CXXFLAGS="$(CXXFLAGS)"; export CXXFLAGS; \
	AR="$(AR)"; export AR; \
	AS="$(AS)"; export AS; \
	CC_FOR_BUILD="$(CC_FOR_BUILD)"; export CC_FOR_BUILD; \
	DLLTOOL="$(DLLTOOL)"; export DLLTOOL; \
	LD="$(LD)"; export LD; \
	LDFLAGS="$(LDFLAGS)"; export LDFLAGS; \
	NM="$(NM)"; export NM; \
	RANLIB="$(RANLIB)"; export RANLIB; \
	WINDRES="$(WINDRES)"; export WINDRES; \
	OBJCOPY="$(OBJCOPY)"; export OBJCOPY; \
	OBJDUMP="$(OBJDUMP)"; export OBJDUMP; \
	AR_FOR_TARGET="$(AR_FOR_TARGET)"; export AR_FOR_TARGET; \
	AS_FOR_TARGET="$(AS_FOR_TARGET)"; export AS_FOR_TARGET; \
	GCC_FOR_TARGET="$(GCC_FOR_TARGET)"; export GCC_FOR_TARGET; \
	LD_FOR_TARGET="$(LD_FOR_TARGET)"; export LD_FOR_TARGET; \
	NM_FOR_TARGET="$(NM_FOR_TARGET)"; export NM_FOR_TARGET; \
	OBJDUMP_FOR_TARGET="$(OBJDUMP_FOR_TARGET)"; export OBJDUMP_FOR_TARGET; \
	RANLIB_FOR_TARGET="$(RANLIB_FOR_TARGET)"; export RANLIB_FOR_TARGET; \
	TOPLEVEL_CONFIGURE_ARGUMENTS="$(TOPLEVEL_CONFIGURE_ARGUMENTS)"; export TOPLEVEL_CONFIGURE_ARGUMENTS; \
	GMPLIBS="$(HOST_GMPLIBS)"; export GMPLIBS; \
	GMPINC="$(HOST_GMPINC)"; export GMPINC; \
	$(RPATH_ENVVAR)=`echo "$(HOST_LIB_PATH)$$$(RPATH_ENVVAR)" | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; export $(RPATH_ENVVAR);

# Similar, for later GCC stages.
POSTSTAGE1_HOST_EXPORTS = \
	$(HOST_EXPORTS) \
	CC="$(STAGE_CC_WRAPPER) $$r/$(HOST_SUBDIR)/prev-gcc/xgcc$(exeext) \
	  -B$$r/$(HOST_SUBDIR)/prev-gcc/ -B$(build_tooldir)/bin/"; export CC; \
	CC_FOR_BUILD="$(STAGE_CC_WRAPPER) \
	  $$r/$(HOST_SUBDIR)/prev-gcc/xgcc$(exeext) \
	  -B$$r/$(HOST_SUBDIR)/prev-gcc/ \
	  -B$(build_tooldir)/bin/"; export CC_FOR_BUILD; \
	CFLAGS="$(BOOT_CFLAGS)"; export CFLAGS; \
	LDFLAGS="$(BOOT_LDFLAGS)"; export LDFLAGS;

# Target libraries are put under this directory:
TARGET_SUBDIR = m68k-coff
# This is set by the configure script to the arguments to use when configuring
# directories built for the target.
TARGET_CONFIGARGS = --cache-file=./config.cache --build=x86_64-unknown-linux-gnu --host=m68k-coff --target=m68k-coff --enable-multilib --with-cross-host=x86_64-unknown-linux-gnu --prefix=/usr/local --without-kde --disable-tui --disable-werror --program-transform-name='s,^,m68k-coff-,; ' --with-target-subdir="$(TARGET_SUBDIR)"
# This is the list of variables to export in the environment when
# configuring subdirectories for the host system.
BASE_TARGET_EXPORTS = \
	$(BASE_EXPORTS) \
	AR="$(AR_FOR_TARGET)"; export AR; \
	AS="$(COMPILER_AS_FOR_TARGET)"; export AS; \
	CC="$(CC_FOR_TARGET)"; export CC; \
	CFLAGS="$(CFLAGS_FOR_TARGET)"; export CFLAGS; \
	CONFIG_SHELL="$(SHELL)"; export CONFIG_SHELL; \
	CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
	CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
	GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
	GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
	DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
	LD="$(COMPILER_LD_FOR_TARGET)"; export LD; \
	LDFLAGS="$(LDFLAGS_FOR_TARGET)"; export LDFLAGS; \
	LIPO="$(LIPO_FOR_TARGET)"; export LIPO; \
	NM="$(COMPILER_NM_FOR_TARGET)"; export NM; \
	OBJDUMP="$(OBJDUMP_FOR_TARGET)"; export OBJDUMP; \
	RANLIB="$(RANLIB_FOR_TARGET)"; export RANLIB; \
	STRIP="$(STRIP_FOR_TARGET)"; export STRIP; \
	WINDRES="$(WINDRES_FOR_TARGET)"; export WINDRES; \
	$(RPATH_ENVVAR)=`echo "$(HOST_LIB_PATH)$(TARGET_LIB_PATH)$$$(RPATH_ENVVAR)" | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; export $(RPATH_ENVVAR);

RAW_CXX_TARGET_EXPORTS = \
	$(BASE_TARGET_EXPORTS) \
	CXX_FOR_TARGET="$(RAW_CXX_FOR_TARGET)"; export CXX_FOR_TARGET; \
	CXX="$(RAW_CXX_FOR_TARGET)"; export CXX;

NORMAL_TARGET_EXPORTS = \
	$(BASE_TARGET_EXPORTS) \
	CXX="$(CXX_FOR_TARGET)"; export CXX;

# Where to find GMP
HOST_GMPLIBS = -lmpfr -lgmp
HOST_GMPINC = 

# ----------------------------------------------
# Programs producing files for the BUILD machine
# ----------------------------------------------

SHELL = /bin/sh

# pwd command to use.  Allow user to override default by setting PWDCMD in
# the environment to account for automounters.  The make variable must not
# be called PWDCMD, otherwise the value set here is passed to make
# subprocesses and overrides the setting from the user's environment.
# Don't use PWD since it is a common shell environment variable and we
# don't want to corrupt it.
PWD_COMMAND = $${PWDCMD-pwd}

# compilers to use to create programs which must be run in the build
# environment.
CC_FOR_BUILD = $(CC)
CFLAGS_FOR_BUILD = -g -O2

CXX_FOR_BUILD = $(CXX)

# Special variables passed down in EXTRA_GCC_FLAGS.  They are defined
# here so that they can be overridden by Makefile fragments.
BUILD_PREFIX = @BUILD_PREFIX@
BUILD_PREFIX_1 = @BUILD_PREFIX_1@

# Flags to pass to stage2 and later makes.  They are defined
# here so that they can be overridden by Makefile fragments.
BOOT_CFLAGS= -g -O2
BOOT_LDFLAGS=

BISON = bison
YACC = bison -y
FLEX = flex
LEX = flex
M4 = m4
MAKEINFO = makeinfo
EXPECT = expect
RUNTEST = runtest

# This just becomes part of the MAKEINFO definition passed down to
# sub-makes.  It lets flags be given on the command line while still
# using the makeinfo from the object tree.
# (Default to avoid splitting info files by setting the threshold high.)
MAKEINFOFLAGS = --split-size=5000000

# ---------------------------------------------
# Programs producing files for the HOST machine
# ---------------------------------------------

AS = as
AR = ar
AR_FLAGS = rc
CC = gcc
CXX = c++
DLLTOOL = dlltool
LD = ld
LIPO = lipo
NM = nm
OBJDUMP = objdump
RANLIB = ranlib
STRIP = strip
WINDRES = windres

CFLAGS = -g -O2
LDFLAGS = 
LIBCFLAGS = $(CFLAGS)
CXXFLAGS = -g -O2
LIBCXXFLAGS = $(CXXFLAGS) -fno-implicit-templates
PICFLAG = 

# -----------------------------------------------
# Programs producing files for the TARGET machine
# -----------------------------------------------

FLAGS_FOR_TARGET = 

AR_FOR_TARGET=m68k-coff-ar
AS_FOR_TARGET=m68k-coff-as
CC_FOR_TARGET=$(STAGE_CC_WRAPPER) m68k-coff-cc $(FLAGS_FOR_TARGET)

# If GCC_FOR_TARGET is not overriden on the command line, then this
# variable is passed down to the gcc Makefile, where it is used to
# build libgcc2.a.  We define it here so that it can itself be
# overridden on the command line.
GCC_FOR_TARGET=$(STAGE_CC_WRAPPER) m68k-coff-gcc $(FLAGS_FOR_TARGET)
CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) m68k-coff-c++ $(FLAGS_FOR_TARGET)
RAW_CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) m68k-coff-c++ $(FLAGS_FOR_TARGET)
GCJ_FOR_TARGET=$(STAGE_CC_WRAPPER) m68k-coff-gcj $(FLAGS_FOR_TARGET)

=== src/core/uae/Makefile ===
--- 
+++ 
@@ -10,30 +10,30 @@
 gen: cpudefs.c cpustbl.c cputbl.h cpuemu.c
 
 # WARNING: Don't try to build newcpu.o here, because newcpu.c references TiEmu include files.
-all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o xmalloc.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
+all: cpudefs.o cpustbl.o readcpu.o fpp.o missing.o cpuemu1.o cpuemu2.o cpuemu3.o cpuemu4.o cpuemu5.o cpuemu6.o cpuemu7.o cpuemu8.o
 
 # For cross-compiling (generators are run on host)
 build68k_host.o: build68k.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 gencpu_host.o: gencpu.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 readcpu_host.o: readcpu.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 cpudefs_host.o: cpudefs.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 missing_host.o: missing.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 xmalloc_host.o: xmalloc.c
-	gcc -c -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc -c -o $@ $?
 
 # Build generators and files to generate
 build68k: build68k_host.o
 	@echo "-> Compiling 68k builder..."
-	gcc $(LDFLAGS) -o $@ $?
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) -o $@ $?
 
 gencpu: gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 	@echo "-> Compiling CPU generator..."
-	gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
+	C_INCLUDE_PATH="" LIBRARY_PATH="" gcc $(LDFLAGS) -o $@ gencpu_host.o readcpu_host.o cpudefs_host.o missing_host.o xmalloc_host.o
 
 cpudefs.c: build68k table68k
 	@echo "-> Building CPU definitions..."
@@ -76,8 +76,6 @@
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@
 missing.o: missing.c
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
-xmalloc.o: xmalloc.c
-	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@ 
 newcpu.o: newcpu.c newcpu.h
 	$(CC) $(INCLUDES) -c $(INCDIRS) $(CPUFLAGS) $< -o $@

## tiemu 3.03-nogdb+dfsg

=== debian/changelog ===
tiemu (3.03-nogdb+dfsg-2) unstable; urgency=low

  * Fix debian/watch.  Cleanup.

 -- Andreas B. Mundt <andi@debian.org>  Tue, 27 Aug 2013 19:37:33 +0200

tiemu (3.03-nogdb+dfsg-1) unstable; urgency=low

  * Team maintained in Debian-Science now (closes: #678861).
    Modifications in cooperation with Albert Huang
    <alberth.debian@gmail.com>, thanks!
  * New upstream release.
  * Switch packaging format to 3.0 (quilt), Standards-Version to 3.9.4
    and debhelper to 9 (closes: #661033).  Thanks to Jari Aalto
    <jari.aalto@cante.net>.
  * Update patches, and:
    - Remove 02_tiemu3_dock_fixes.dpatch, fixed upstream.
    - Remove 03_memset_include_cstring.dpatch, fixed upstream.
    - Remove 05_remove_vlc_cable.dpatch, fixed upstream.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 16 Aug 2013 10:41:18 +0200

tiemu (3.02-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: gui/calc/calc.c:589:4: error: 'GtkFunction' undeclared
    (first use in this function)": use updated patch
    01_gtk_disable_deprecated.dpatch from Ubuntu / Andreas Moog
    (Closes: #621997, LP: #756074)
  * The package still FTBFS, so let's apply the remaining Ubuntu patches:
    - 05_remove_vlc_cable.dpatch (Scott Kitterman):
      Fix FTBFS with newer libs - Cherry pick from upstream svn
    - 06_drop_GtkNotebookPage.dpatch (Scott Kitterman):
      Replace deprecated function with gpointer to FTBFS.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Oct 2011 19:13:28 +0200

tiemu (3.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/04_remove_deprecated_gtk_calls:
    - Replace deprecated GTK macro with related function, patch from
      Scott Howard (Closes: #577379, #574745).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 May 2010 13:53:02 +0200

tiemu (3.02-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #362159)
  * Changed dependency from iceape to iceweasel.
  * Conforms with latest Standards Version 3.8.3.

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sun, 27 Sep 2009 12:15:27 +0200

tiemu (2.00-4) unstable; urgency=low

  * QA upload
  * Use dpatch for patch management
  * src/gui/filesel.c, src/gui/calc/popup.c: undefine GTK_DISABLE_DEPRECATED
    before including gtk/gtk.h. Patch taken from Ubuntu. (Closes: #456848)
  * debian/rules target clean: do not ignore errors of "make clean"
  * menu entry: put in section Applications/Science/Mathematics instead of
    depreciated Apps/Math.

 -- Ralf Treinen <treinen@debian.org>  Wed, 16 Jan 2008 21:35:36 +0100

tiemu (2.00-3) unstable; urgency=low

  * QA upload.
  * Replace dependency on transitional mozilla-browser package
    with iceape-browser. (Closes: #406802)
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 22 Jan 2007 10:32:07 +0100

tiemu (2.00-2) unstable; urgency=low

  * Orphaning this package.
  * debian/control:
    + Maintainer: set to QA.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Apr 2006 17:06:38 +0200

tiemu (2.00-1) unstable; urgency=low

  * New upstream release.
    + Updated Build-Depends.
  * debian/control:
    + Bumped Standards-Version to 3.6.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sun, 28 Aug 2005 23:38:56 +0200

tiemu (1.99+svn1460-1) unstable; urgency=low

  * New snapshot.
  * debian/control:
    + Updated build-depends.

 -- Julien BLACHE <jblache@debian.org>  Thu,  2 Jun 2005 16:50:15 +0200

tiemu (1.99+svn1148-2) unstable; urgency=low

  * src/misc/printl.c:
    + Usual va_list fixes. Boring. Depressing.
  * src/gui/filesel.c:
    + Silly typo fix.

 -- Julien BLACHE <jblache@debian.org>  Tue,  3 May 2005 21:13:14 +0200

tiemu (1.99+svn1148-1) unstable; urgency=low

  * New upstream snapshot.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Apr 2005 11:33:10 +0200

tiemu (1.99+svn1050-1) unstable; urgency=low

  * TiEmu II beta release, works better than previous 1.65 (closes: #301991).
  * debian/control:
    + Moved from contrib to main as it now ships with a FREE ROM (PedRom, GPL),
      so it doesn't depend on the TI ROMs anymore.

 -- Julien BLACHE <jblache@debian.org>  Thu,  7 Apr 2005 12:16:51 +0200

tiemu (1.65-6) unstable; urgency=low

  * Rebuilt against newest libti*, bumped B-D.

 -- Julien BLACHE <jblache@debian.org>  Wed, 27 Oct 2004 14:15:44 +0200

tiemu (1.65-5) unstable; urgency=low

  * debian/control:
    + Build-depends on newer libti*-dev, as the ti*-config scripts got removed.
    + Removed the xlibs-dev build-dependency as it's pulled in by GTK+.
    + Bumped Standards-Version to 3.6.1.
  * debian/compat, debian/rules, debian/control:
    + Switched to DH_COMPAT=4
  * Fixed configure to use pkg-config instead of the ti*-config scripts.

 -- Julien BLACHE <jblache@debian.org>  Tue, 26 Oct 2004 14:01:56 +0200

tiemu (1.65-4) unstable; urgency=low

  * Added AM_MAINTAINER_MODE to configure.ac to prevent regeneration of the
    whole build system...
  * Changed -mpentium to -mcpu=pentium on x86.
  * Bumped Standards-Version to 3.5.9.

 -- Julien BLACHE <jblache@debian.org>  Thu, 10 Apr 2003 21:14:37 +0200

tiemu (1.65-3) unstable; urgency=low

  * Rebuilt against newest libti*.

 -- Julien BLACHE <jblache@debian.org>  Mon, 17 Mar 2003 22:07:20 +0100

tiemu (1.65-2) unstable; urgency=low

  * Fix build on non-i386 architectures, again.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Oct 2002 21:09:29 +0200

tiemu (1.65-1) unstable; urgency=low

  * New upstream release.
  * Fixes FTBFS with newer libti*.
  * Use the symlink method with autotools-dev.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Oct 2002 13:34:16 +0200

tiemu (1.64-2) unstable; urgency=low

  * Fixes for non-i386 arches, build & runtime (closes: Bug#156053).

 -- Julien BLACHE <jblache@debian.org>  Sat, 10 Aug 2002 11:07:51 +0200

tiemu (1.64-1) unstable; urgency=low

  * Package renamed (gtktiemu -> tiemu).
  * New upstream release.
  * Uses new libti*.



=== debian/control ===
Source: tiemu
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.0.0),
               gettext,
               groff-base,
               libdbus-glib-1-dev,
               libglade2-dev,
               libgtk2.0-dev,
               libsdl1.2-dev (>= 1.2.0),
               libticables-dev (>= 1.3.4),
               libticalcs-dev (>= 1.1.8),
               libticonv-dev (>= 1.1.4),
               libtifiles-dev (>= 1.1.6),
               texinfo,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://lpg.ticalc.org/prj_tiemu/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/tiemu.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/tiemu.git

Package: tiemu
Architecture: any
Depends: iceweasel | www-browser, ${misc:Depends}, ${shlibs:Depends}
Replaces: gtktiemu
Conflicts: gtktiemu, tiemu-gdb
Suggests: tiemu-skinedit
Description: Texas Instruments calculators emulator (without GDB)
 TiEmu emulates Texas Instruments calculators TI-89/92/92+/V200PLT.
 .
 It is based on XTiger, the original TI emulator for Linux, which
 uses the 68k emulation core from UAE (The Ultimate Amiga Emulator).
 .
 You need to either dump the ROM of your calculator (you can do so
 with TiLP), or get a FLASH upgrade from Texas Instrument (see the software
 section concerning your calculator, then download the archive and
 extract the file) to use this emulator. There are *no* TI ROMs provided
 in this package, as they are copyrighted by Texas Instruments, Inc.
 .
 However, a free (as in speech) ROM is now provided with TiEmu, namely
 PedRom. Try it out!
 .
 This version includes a VTI-style assembly debugger.
 .
 Please note it exists another version (tiemu-gdb) not provided on Debian
 itself which includes a GDB-style assembly debugger for use with TIGCC
 and/or KTIGCC.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://sf.net/gtktiemu/tiemu-(.+)\.tar\.gz \
debian /bin/sh debian/get-orig-source.sh
